package net.northking.cctp.dw.api.service;

import net.northking.cctp.dw.db.entity.*;
import net.northking.cctp.dw.dto.TestPointPieDto;

import java.util.List;

/**
 * @author: puchao.ma
 * @date: 2021/12/14 16:55
 */
public interface MtTestPointApiService {
    /**
     * 批量新增
     * @param details
     */
    Integer addBatchComplete(List<PointCompleteDetails> details);

    /**
     * 清空表数据
     */
    void deleteAllComplete(PointCompleteDetails pointCompleteDetails);

    void deleteAllMid(List<MidProjectInfo> midProjectInfos);

    void addBatchMid(List<MidTestPoint> testPoints);

    /**
     * 测试点进度图数据生成
     * @return
     */
    List<MtTestChart> createTestPointPlanProgress(String tenantId);

    /**
     * 测试点饼图
     * @param projectId
     * @return
     */
    TestPointPieDto testPointPie(String projectId);

    List<MidTestPoint> findAll(List<MidProjectInfo> midProjectInfos);

    Integer testPointComplete(DwTestPoint dwTestPoint);

    Integer deleteAllCompleteByProjectIds(PointCompleteDetails pointCompleteDetails);
}
